#!/usr/bin/env python3

import distutils.core
import distutils.command.install
from DistUtilsExtra.command import build_extra, build_i18n
import os


class install_pylock(distutils.command.install.install):
    def run(self):
        distutils.dir_util.copy_tree('etc', os.path.join(self.root, 'etc'),
                                     preserve_times=0, preserve_symlinks=1, verbose=1)

        distutils.command.install.install.run(self)

distutils.core.setup(
    name = 'pylock',
    version = '1',

    packages = ['pylock'],
    package_data = {
        'pylock': ['data/unlock.ui', 'data/bg.svg'],
    },

    scripts = ['scripts/pylock'],

    cmdclass = {
        'build': build_extra.build_extra,
        'build_i18n': build_i18n.build_i18n,
        'install': install_pylock,
    },
)
